using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IDicCouponRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Coupon>
    {
        List<Dic_Coupon> SelectInId(string ids);
        Dic_Coupon SelectByPrimaryKey(int id);
        List<ReceivedCoupon> SelectAllReceivedCoupon();
        List<ReceivedCoupon> SelectReceivedCouponByPhone(string phone, int fID);
    }
}
